%define upstream_name    AnyEvent-BDB
%define upstream_version 1.1

%global __requires_exclude Exporter::
# Remove under-speficied dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((AnyEvent|BDB)\\)$


Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Truly asynchronous berkeley db access
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/AnyEvent/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl-devel
BuildRequires: perl(AnyEvent)
BuildRequires: perl(BDB) >= 1.5

BuildArch: noarch


%description
This module is an the AnyEvent manpage user, you need to make sure that you
use and run a supported event loop.

Loading this module will install the necessary magic to seamlessly
integrate the BDB manpage into the AnyEvent manpage, i.e. you no longer
need to concern yourself with calling 'BDB::poll_cb' or any of that stuff
(you still can, but this module will do it in case you don't).

The AnyEvent watcher can be disabled by executing 'undef
$AnyEvent::BDB::WATCHER'. Please notify the author of when and why you
think this was necessary.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.100.0-12.mga9
+ Revision: 1808225
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.100.0-11.mga8
+ Revision: 1503436
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.100.0-10.mga7
+ Revision: 1281582
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.100.0-9.mga7
+ Revision: 1162842
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 1.100.0-8.mga6
+ Revision: 1022502
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1.100.0-7.mga6
+ Revision: 971853
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-6.mga6
+ Revision: 746172
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.100.0-5.mga5
+ Revision: 731818
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-4.mga5
+ Revision: 683477
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.100.0-3.mga4
+ Revision: 509139
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 362931
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 33574
- mageia rebuild
- cleaning spec file
- imported package perl-AnyEvent-BDB


* Wed Feb 10 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.0-1mdv2010.1
+ Revision: 503922
- tighten spec file

* Sun Aug 02 2009 Götz Waschk <waschk@mandriva.org> 1.100.0-1mdv2010.0
+ Revision: 407571
- new version
- use perl version macro

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.0-3mdv2009.0
+ Revision: 268363
- rebuild early 2009.0 package (before pixel changes)
- fix extra spacing at top of description

* Wed Jun 11 2008 Götz Waschk <waschk@mandriva.org> 1.0-2mdv2009.0
+ Revision: 217900
- make the package installable

* Tue Jun 10 2008 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2009.0
+ Revision: 217384
- import perl-AnyEvent-BDB


